ATOF(3)

NAME
atof, atoi, atol - convert ASCII to numbers

SYNOPSIS
#include <stdlib.h>
double atof(const char *nptr)
int atoi(const char *nptr)
long atol(const char *nptr)

DESCRIPTION
These functions convert a string pointed to by nptr to floating, integer, and long integer representation respectively. The first unrecognized character ends the string.

Atof recognizes an optional string of spaces, then an optional sign, then a string of digits optionally containing a decimal point, then an optional `e' or `E' followed by an optionally signed integer.

Atoi and atol recognize an optional string of spaces, then an optional sign, then a string of digits.

SEE ALSO
strtol(3), strtod(3), scanf(3).

BUGS
There are no provisions for overflow.